#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#include "INLINE.h"
int mix(int a, int b, int c) {
    a -= b; a -= c; a ^= (c>>13);
    b -= c; b -= a; b ^= (a<<8);
    c -= a; c -= b; c ^= (b>>13);
    a -= b; a -= c; a ^= (c>>12);
    b -= c; b -= a; b ^= (a<<16);
    c -= a; c -= b; c ^= (b>>5);
    a -= b; a -= c; a ^= (c>>3);
    b -= c; b -= a; b ^= (a<<10);
    c -= a; c -= b; c ^= (b>>15);
    return c;
}

float deg2rad(float degrees) {
    return 0.0174532925 * degrees;
}

float rad2deg(float radians) {
    return 57.2957795786 * radians;
}

int dot2_product( int xa, int ya, int xb, int yb ) {
    int sum = 0;
    sum += xa * xb;
    sum += ya * yb;
    return sum;
}

MODULE = Acme::MITHALDU::XSGrabBag::Inline  PACKAGE = Acme::MITHALDU::XSGrabBag  

PROTOTYPES: DISABLE


int
mix (a, b, c)
	int	a
	int	b
	int	c

float
deg2rad (degrees)
	float	degrees

float
rad2deg (radians)
	float	radians

int
dot2_product (xa, ya, xb, yb)
	int	xa
	int	ya
	int	xb
	int	yb

